% Example 3
%    M*x'=f(t,x)
%    mit M=[2,1;1,2] und f(t,x)=t*[x(2),x(1)];
%    x1(1)=1, x2(1)=2
close all;clear classes;
opt.RelTol=1e-6;opt.AbsTol=1e-6;
% Massmatrix not banded (Massenmatrix: keine Bandstruktur)
opt.MassLowerBandwidth=2;
opt.Mass=[2,1;1,2];
% Jacobian not banded (Jacobimatrix keine Bandstruktur)
% Jacobian given (Jacobimatrix wird explizit angegeben)
opt.JacobianLowerBandwidth=2;
opt.Jacobian='jac';
% Jacobian is cheap (Jacobiauswertung ist so billig)
opt.RecomputeJACFactor=-1;

[tG,xG,stats]=radau5Mex(@f,[1,2],[1;2],opt);

t=linspace(1,2,100);
h1=1.5*exp((t-1)/6.*(1+t));
h2=0.5*exp(-(t-1)/2.*(1+t));
plot(t,h1+h2,'g',t,h1-h2,'g',tG,xG(:,1),'rx',tG,xG(:,2),'bx');