%%
clear all;close all
TCr = 0.03; %Total creatine pool

% initial conditions
PCri = 1e-9;
Cri = TCr - PCri;
NADi = 0.0005;
NADHi = 1e-9;
ATPi =  0.005;
ADPi =  1e-9;
AMPi = 1e-9;
Pii =  0.03;
glyi =  0.04;
G1Pi = 1e-9;
G6Pi = 1e-9;
F6Pi =  1e-9;
FBPi = 1e-9;
DHAPi = 1e-9;
G3Pi = 1e-9;
GAPi = 1e-9;
BPGi =  1e-9;
P3Gi = 1e-9;
P2Gi = 1e-9;
PEPi = 1e-9;
PYRi = 1e-9;
LACi = 1e-9;
mgi = 5.132658807e-4;
pH_calci = 7.2;
protonloadi =0;

%% 

initialcondition = [PCri;
Cri;
NADi;
NADHi;
ATPi;
ADPi;
AMPi;
Pii;
glyi;
G1Pi;
G6Pi;
F6Pi;
FBPi;
DHAPi;
G3Pi;
GAPi;
BPGi;
P3Gi;
P2Gi;
PEPi;
PYRi;
LACi;
mgi;
pH_calci;
protonloadi];
%--------------------------------------------------------------------
%%
%PARtable5;
global Par
Par = PARtable5fun;
Par(16) = 0.00026054186631;Par(17)=1.99425553662477;

for n = 1:4,
    unitsATPase = (n>1)*0.5*2^(n-2);
Par(88) = unitsATPase*1e-3;
opt.RelTol=1e-4; 
opt.AbsTol=1e-7;
opt.RecomputeJACFactor=0.001;
opt.StartNewtonWithZeros = 1;
[t,C,stats]=radauMex(@ODEexp29radtable5, [0:1:60], initialcondition,opt);
PCr = C(:,1);
LAC = C(:,22);
sprintf('%f\t%f\t%f\t%f',1000*PCr(31),1000*PCr(61),1000*LAC(31),1000*LAC(61))
end
figure;plot(t,1000*PCr,t,13.1*ones(length(t),1))
